Manage an Analytic Tenant

Learn how to open an analytic tenant from the global workspace to perform administrative actions and control data uploads.

Open an analytic tenant

A newly created analytic tenant is empty. After loading data to the analytic tenant, you can open it to preview your end users' experience.

  1. On the global navigation bar, click Tenants.
  2. Hover over an analytic tenant.
  3. Click the Open Tenant button .

    Result: The analytic tenant opens in a new browser tab.

Toggle analytic tenant data uploads

An administrating tenant user can quickly manage the data that has already been uploaded for an analytic tenant directly from the tenant management room. This allows you to include or exclude particular data uploads, such as if incorrect data was uploaded on a particular date.

Note:  

  • The analytic tenant must contain uploaded data.
  • This feature is also available through Visier's public APIs. For more information, see Data and Job Handling API.
  1. On the global navigation bar, click Tenants.
  2. Hover over an analytic tenant.
  3. Click the Data Uploads button .
  4. Toggle the data uploads you want to include or exclude in future data versions.
  5. Optional: You can choose to exclude or include every data upload by clicking Exclude All or Include All.
  6. Click Save.

Set an analytic tenant's data profile

A data profile designates how the tenant's data is used, such as for the production version or demonstration purposes. It's important to correctly set your tenants' data profile types to distinguish tenants for accurately measuring adoption, assessing system performance, and billing. Administrating tenant users can set an analytic tenant's data profile through Visier APIs or in Studio.

Access requirements

Custom profile with these capabilities: Tenant Management (Write, Simple)

Reach out to your administrator for access.

Visier supports the following tenant data profiles:

  • Regular: An analytic tenant that hosts data for customer business decisions. Regular tenants receive monitoring for business data quality and the highest priority for system performance.
  • Integration: An analytic tenant that hosts data for development, staging, and testing. Customers do not use data in this tenant to make business decisions.
  • Demo: An analytic tenant that hosts data for demonstrations and training. Demo tenants receive the highest priority for system performance, but no monitoring for business data quality. Customers do not use data in this tenant to make business decisions.
  • Consolidated Analytics Tenant: A consolidated analytics tenant for aggregating data from multiple analytic tenants in a single tenant.
  • Test: An analytic tenant that hosts data for testing. Customers do not use data in this tenant to make business decisions.

Option 1: Set the data profile with Visier APIs

When creating a new tenant or updating an existing tenant: 

  • Set the dataProfileType parameter in the traits object in the request body. For more information about valid dataProfile values, see "Add an analytic tenant" or "Update an analytic tenant" in API Reference.

The API endpoints are: 

  • POST /v2/admin/tenants
  • PUT /v2/admin/tenants/{tenantId}

For more information about managing tenants with APIs, see Tenants API.

Option 2: Set the data profile in Studio

  1. Open the administrating tenant.
  2. On the global navigation bar, click Tenants.
  3. Click an analytic tenant. This opens the analytic tenant's setting details.
  4. In the Tenant Settings tab, in Data Profile, select one of the data profile types.
  5. When finished, click Save.

    Result: The tenant's data profile type updates immediately.